<div class="container-xxl p-3 h-100">
  <div class="d-flex flex-column h-100 position-relative gap-4">
    <a pButton
       routerLink="/products/account"
       type="button"
       icon="pi pi-arrow-left"
       class="p-button-outlined p-button-rounded button-back">
    </a>
    <h4 style="color: #495057; text-align: center; margin-top: 8px">Заказы</h4>
    <div *ngIf="orders[0]; else noOrders" class="d-flex flex-column flex-grow-1 gap-4 mb-3">
      <div *ngFor="let order of orders" class="product-item">
        <div class="d-flex flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center flex-grow-1 gap-2">
          <h6 class="col-12 col-sm-3 mb-0">№{{order.orderNumber}}</h6>
          <div class="col-12 col-sm-3">{{order.productName}}</div>
          <div class="col-12 col-sm-3" >{{order.price}}</div>
        </div>
        <button pButton type="button"
                (click)="cancelOrder(order)"
                icon="pi pi-times"
                class="p-button-text p-button-rounded"
                style="color: #ee6060">
        </button>
      </div>
    </div>
  </div>
</div>

<p-confirmDialog header="Отмена заказа"
                 icon="pi pi-exclamation-circle"
                 acceptLabel="Да"
                 rejectLabel="Нет"
                 rejectButtonStyleClass="btn btn-primary w-25"
                 acceptButtonStyleClass="btn btn-outline-primary w-25"
                 acceptIcon=""
                 rejectIcon="">
</p-confirmDialog>

<ng-template #noOrders>
  <div class="empty-page">Заказов нет</div>
</ng-template>
